import { config } from './../../config'
import axios, { AxiosResponse } from 'axios'
import { headerData } from './reqHeaders'

const axiosIns = axios.create({
  baseURL: config.baseUrl,
  timeout: 60000
})

console.log(config)



// 添加请求拦截器
axiosIns.interceptors.request.use(
  (config: any) => {
    Object.assign(config.headers, headerData)
    return config
  },
  (error) => {
    return Promise.reject(error)
  }
)

// 添加响应拦截器
axiosIns.interceptors.response.use(
  (response: AxiosResponse) => {
    console.log(response)
  }
)

export default axiosIns
